use dmp_dto::project_requests::ProjectRequestTypeDTO;

use crate::model::structures::project_requests::ProjectRequestType;

impl Into<ProjectRequestType> for dmp_dto::project_requests::ProjectRequestTypeDTO {
    fn into(self) -> ProjectRequestType {
        match self {
            ProjectRequestTypeDTO::Quota => ProjectRequestType::Quota,
            ProjectRequestTypeDTO::Duration => ProjectRequestType::Duration,
            ProjectRequestTypeDTO::Creation => ProjectRequestType::Creation,
            ProjectRequestTypeDTO::Reservation => ProjectRequestType::Reservation,
        }
    }
}
